com.sun.grid.jgdi.configuration

## Class PathAliasImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.PathAliasImpl

- All Implemented Interfaces:
    GEObject, PathAlias, java.io.Serializable, java.lang.Cloneable

      public class PathAliasImpl
      extends GEObjectImpl
      implements PathAlias

  Java representation of the cull object PA_Type defined in sge_all_listsL.template

  Warning: The PathAliasImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathAliasImpl()` Create a new instance of PathAliasImpl.
    `PathAliasImpl(boolean initWithDefaultValues)` Create a new instanceof
    `PathAliasImpl(java.lang.String origin)` Create a new instance of PathAliasImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getExecHost()` Get the value of the execHost attribute.
    `java.lang.String` | `getOrigin()` Get the value of the origin attribute.
    `java.lang.String` | `getSubmitHost()` Get the value of the submitHost attribute.
    `java.lang.String` | `getTranslation()` Get the value of the translation attribute.
    `boolean` | `isSetExecHost()` Determine if the execHost attribute is set
    `boolean` | `isSetOrigin()` Determine if the origin attribute is set
    `boolean` | `isSetSubmitHost()` Determine if the submitHost attribute is set
    `boolean` | `isSetTranslation()` Determine if the translation attribute is set
    `void` | `setExecHost(java.lang.String aExecHost)` Set the execHost attribute.
    `void` | `setOrigin(java.lang.String aOrigin)` Set the origin attribute.
    `void` | `setSubmitHost(java.lang.String aSubmitHost)` Set the submitHost attribute.
    `void` | `setTranslation(java.lang.String aTranslation)` Set the translation attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### PathAliasImpl

          public PathAliasImpl()

      Create a new instance of PathAliasImpl. The new instance will not be initialized with the default values.

    - #### PathAliasImpl

          public PathAliasImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### PathAliasImpl

          public PathAliasImpl(java.lang.String origin)

      Create a new instance of PathAliasImpl

  - ### Method Detail

    - #### isSetOrigin

          public boolean isSetOrigin()

      Determine if the origin attribute is set
      Specified by:
        `isSetOrigin` in interface `PathAlias`
      Returns:
        `true` if the origin attribute is set

    - #### setOrigin

          public void setOrigin(java.lang.String aOrigin)

      Set the origin attribute.
      Specified by:
        `setOrigin` in interface `PathAlias`
      Parameters:
        `aOrigin` - the new value for the origin attribute

    - #### getOrigin

          public java.lang.String getOrigin()

      Get the value of the origin attribute.
      Specified by:
        `getOrigin` in interface `PathAlias`
      Returns:
        the value of the origin attribute

    - #### isSetSubmitHost

          public boolean isSetSubmitHost()

      Determine if the submitHost attribute is set
      Specified by:
        `isSetSubmitHost` in interface `PathAlias`
      Returns:
        `true` if the submitHost attribute is set

    - #### setSubmitHost

          public void setSubmitHost(java.lang.String aSubmitHost)

      Set the submitHost attribute.
      Specified by:
        `setSubmitHost` in interface `PathAlias`
      Parameters:
        `aSubmitHost` - the new value for the submitHost attribute

    - #### getSubmitHost

          public java.lang.String getSubmitHost()

      Get the value of the submitHost attribute.
      Specified by:
        `getSubmitHost` in interface `PathAlias`
      Returns:
        the value of the submitHost attribute

    - #### isSetExecHost

          public boolean isSetExecHost()

      Determine if the execHost attribute is set
      Specified by:
        `isSetExecHost` in interface `PathAlias`
      Returns:
        `true` if the execHost attribute is set

    - #### setExecHost

          public void setExecHost(java.lang.String aExecHost)

      Set the execHost attribute.
      Specified by:
        `setExecHost` in interface `PathAlias`
      Parameters:
        `aExecHost` - the new value for the execHost attribute

    - #### getExecHost

          public java.lang.String getExecHost()

      Get the value of the execHost attribute.
      Specified by:
        `getExecHost` in interface `PathAlias`
      Returns:
        the value of the execHost attribute

    - #### isSetTranslation

          public boolean isSetTranslation()

      Determine if the translation attribute is set
      Specified by:
        `isSetTranslation` in interface `PathAlias`
      Returns:
        `true` if the translation attribute is set

    - #### setTranslation

          public void setTranslation(java.lang.String aTranslation)

      Set the translation attribute.
      Specified by:
        `setTranslation` in interface `PathAlias`
      Parameters:
        `aTranslation` - the new value for the translation attribute

    - #### getTranslation

          public java.lang.String getTranslation()

      Get the value of the translation attribute.
      Specified by:
        `getTranslation` in interface `PathAlias`
      Returns:
        the value of the translation attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `PathAlias`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.